"""
Network exercise part 1:  model cell driven by synaptic input
"""

PASSIVEMODEL = False # False for model with hh

from neuron import h, gui # during development
import numpy as np

##### specification of model cell

if PASSIVEMODEL:
  from pascell import Cell
  PRESTART = 5 # ms
  WEIGHT = 7.2e-6 # elicits 1 mV epsp in passive model
else:
  from hhcell import Cell
  PRESTART = 25 # ms so hh can settle
  WEIGHT = 1.57e-5 # elicits 1 mV epsp in model with hh

cell = Cell()

##### specification of instrumentation

# synaptic mechanism
syn = h.ExpSyn(cell.soma(0.5), sec=cell.soma)
syn.tau = 3
syn.e = 0

# presynaptic spike source
pre = h.NetStim()
pre.start = PRESTART
pre.interval = 10
pre.number = 1
pre.noise = 0 # fully deterministic

nc = h.NetCon(pre, syn)
nc.delay = 1
nc.weight[0] = WEIGHT
# nc.weight[0] = 7.0e-5 # elicits spike in model with hh

# user interface for determining weight to elicit 1 mV EPSP
h.load_file("rig.ses") # RunControl, plots of cell.soma(0.5).v, syn.g
